#!/usr/bin/wish
#############################################################################
# Visual Tcl v1.10 Project
#

#################################
# GLOBAL VARIABLES
#
global widget; 
set tk_strictMotif 1

#################################
# USER DEFINED PROCEDURES
#
proc init {argc argv} {

}

init $argc $argv


proc main {argc argv} {
set FILE [open $argv r]
.top25.fra21.tex24 insert end [read $FILE]
close $FILE
bind .top25 <Escape> {exit}
bind .top25 <Destroy> {exit}
}

proc Window {args} {
global vTcl
    set cmd [lindex $args 0]
    set name [lindex $args 1]
    set newname [lindex $args 2]
    set rest [lrange $args 3 end]
    if {$name == "" || $cmd == ""} {return}
    if {$newname == ""} {
        set newname $name
    }
    set exists [winfo exists $newname]
    switch $cmd {
        show {
            if {$exists == "1" && $name != "."} {wm deiconify $name; return}
            if {[info procs vTclWindow(pre)$name] != ""} {
                eval "vTclWindow(pre)$name $newname $rest"
            }
            if {[info procs vTclWindow$name] != ""} {
                eval "vTclWindow$name $newname $rest"
            }
            if {[info procs vTclWindow(post)$name] != ""} {
                eval "vTclWindow(post)$name $newname $rest"
            }
        }
        hide    { if $exists {wm withdraw $newname; return} }
        iconify { if $exists {wm iconify $newname; return} }
        destroy { if $exists {destroy $newname; return} }
    }
}

#################################
# VTCL GENERATED GUI PROCEDURES
#

proc vTclWindow. {base} {
    if {$base == ""} {
        set base .
    }
    ###################
    # CREATING WIDGETS
    ###################
    wm focusmodel $base passive
    wm geometry $base 1x1+0+0
    wm maxsize $base 1009 738
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm withdraw $base
    wm title $base "vt.tcl"
    ###################
    # SETTING GEOMETRY
    ###################
}

proc vTclWindow.top25 {base} {
    if {$base == ""} {
        set base .top25
    }
    if {[winfo exists $base]} {
        wm deiconify $base; return
    }
    ###################
    # CREATING WIDGETS
    ###################
    toplevel $base -class Toplevel \
        -background tan 
    wm focusmodel $base passive
    wm geometry $base 47x23+584+23
    wm grid $base 1 1 7 13
    wm maxsize $base 1009 738
    wm minsize $base 1 1
    wm overrideredirect $base 0
    wm resizable $base 1 1
    wm deiconify $base
    wm title $base "a2print Help"
    frame $base.fra21 \
        -background tan -borderwidth 2 -height 75 -relief groove -width 125 
    text $base.fra21.tex24 \
        -background tan -height 1 -highlightthickness 0 -setgrid 1 -width 3 \
        -yscrollcommand {.top25.fra21.scr25 set} 
    scrollbar $base.fra21.scr25 \
        -background bisque4 -command {.top25.fra21.tex24 yview} \
        -highlightthickness 0 -orient vert -width 12 
    button $base.but23 \
        -background tan -command exit -highlightthickness 0 -padx 9 -pady 3 \
        -text OK 
    scrollbar $base.scr20 \
        -background bisque4 -command {.top25.tex28 yview} \
        -highlightthickness 0 -jump 1 -orient vert -width 12 
    ###################
    # SETTING GEOMETRY
    ###################
    pack $base.fra21 \
        -in .top25 -anchor center -expand 1 -fill both -side top 
    pack $base.fra21.tex24 \
        -in .top25.fra21 -anchor center -expand 1 -fill both -side left 
    pack $base.fra21.scr25 \
        -in .top25.fra21 -anchor center -expand 0 -fill y -side right 
    pack $base.but23 \
        -in .top25 -anchor center -expand 0 -fill none -side top 
}

Window show .
Window show .top25

main $argc $argv
